Debian Bug report logs - #595927
sync() may block for very long periods - writeback problem?

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: stephen mulcahy <stephen.mulcahy@deri.org>

Date: Tue, 7 Sep 2010 11:24:02 UTC

Severity: important

Tags: fixed-upstream

Merged with 600075, 606966

Found in versions 2.6.32-21, 2.6.38-4

Fixed in version 3.2~rc4-1~experimental.1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=18632

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595927; Package linux-2.6. (Tue, 07 Sep 2010 11:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to stephen mulcahy <stephen.mulcahy@deri.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 07 Sep 2010 11:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: stephen mulcahy <stephen.mulcahy@deri.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-amd64: task dpkg blocked for more than 120 seconds
Date: Tue, 07 Sep 2010 12:15:15 +0100
Package: linux-2.6
Version: 2.6.32-21
Severity: important


I've seen this problem on a number of machines with different processor arch (intel and amd). I guess it can be triggered by more than just dpkg but this is the case I've seen most.

dmesg contains the following

[60600.580047] INFO: task dpkg:21101 blocked for more than 120 seconds.
[60600.580078] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[60600.580123] dpkg          D 0000000000000002     0 21101  20880 0x00000000
[60600.580127]  ffff88022f0754c0 0000000000000082 0000000e2c86ddb8 ffff88002c86de98
[60600.580132]  0000000000000000 0000000000000000 000000000000f9e0 ffff88002c86dfd8
[60600.580135]  0000000000015780 0000000000015780 ffff88022ca99c40 ffff88022ca99f38
[60600.580138] Call Trace:
[60600.580148]  [<ffffffff81106667>] ? bdi_sched_wait+0x0/0xe
[60600.580151]  [<ffffffff81106670>] ? bdi_sched_wait+0x9/0xe
[60600.580155]  [<ffffffff812f81d6>] ? __wait_on_bit+0x41/0x70
[60600.580158]  [<ffffffff81106667>] ? bdi_sched_wait+0x0/0xe
[60600.580161]  [<ffffffff812f8270>] ? out_of_line_wait_on_bit+0x6b/0x77
[60600.580165]  [<ffffffff81063910>] ? wake_bit_function+0x0/0x23
[60600.580168]  [<ffffffff811066e8>] ? sync_inodes_sb+0x73/0x12a
[60600.580171]  [<ffffffff8110a255>] ? __sync_filesystem+0x4b/0x70
[60600.580174]  [<ffffffff8110a314>] ? sync_filesystems+0x9a/0xe3
[60600.580176]  [<ffffffff8110a3a2>] ? sys_sync+0x1c/0x2e
[60600.580181]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b

seems to eventually work, but definitely stalls for a long time. This problem occurs on both lightly loaded and heavily loaded systems.

Let me know what other diagnostics I can run.

-- Package-specific info:
** Version:
Linux version 2.6.32-5-amd64 (Debian 2.6.32-21) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-2) ) #1 SMP Wed Aug 25 13:59:41 UTC 2010

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-amd64 root=UUID=316c4383-192d-4a78-af15-844a0c92f1cf ro quiet

** Not tainted

** Kernel log:
[    1.392558] usbhid: v2.6:USB HID core driver
[    1.427468] EXT4-fs (sda1): mounted filesystem with ordered data mode
[    2.062190] udev: starting version 160
[    2.199893] processor LNXCPU:00: registered as cooling_device0
[    2.200512] processor LNXCPU:01: registered as cooling_device1
[    2.201043] processor LNXCPU:02: registered as cooling_device2
[    2.201545] processor LNXCPU:03: registered as cooling_device3
[    2.252882] parport_pc 00:0c: reported by Plug and Play ACPI
[    2.252984] parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE,EPP]
[    2.337007] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    2.343687] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    2.357725] input: PC Speaker as /devices/platform/pcspkr/input/input3
[    2.389002] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/PNP0C0C:00/input/input4
[    2.389006] ACPI: Power Button [PWRB]
[    2.389054] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input5
[    2.389058] ACPI: Power Button [PWRF]
[    2.468557] [drm] Initialized drm 1.1.0 20060810
[    2.469964] i801_smbus 0000:00:1f.3: PCI INT B -> GSI 19 (level, low) -> IRQ 19
[    2.487561] EDAC MC: Ver: 2.1.0 Aug 25 2010
[    2.500914] Error: Driver 'pcspkr' is already registered, aborting...
[    2.512615] dca service started, version 1.12.1
[    2.530391] EDAC MC0: Giving out device to 'i5000_edac.c' 'I5000': DEV 0000:00:10.0
[    2.530411] EDAC PCI0: Giving out device to module 'i5000_edac' controller 'EDAC PCI controller': DEV '0000:00:10.0' (POLLED)
[    2.531953] intel_rng: FWH not detected
[    2.549459] ioatdma: Intel(R) QuickData Technology Driver 4.00
[    2.549518] ioatdma 0000:00:08.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    2.549541] ioatdma 0000:00:08.0: setting latency timer to 64
[    2.549569]   alloc irq_desc for 54 on node -1
[    2.549571]   alloc kstat_irqs on node -1
[    2.549580] ioatdma 0000:00:08.0: irq 54 for MSI/MSI-X
[    2.587480] [drm] radeon defaulting to userspace modesetting.
[    2.587671] pci 0000:07:01.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[    2.589626] [drm] Initialized radeon 1.32.0 20080528 for 0000:07:01.0 on minor 0
[    3.173205] Adding 15624184k swap on /dev/sda5.  Priority:-1 extents:1 across:15624184k 
[    3.439599] loop: module loaded
[    3.908196] kjournald starting.  Commit interval 5 seconds
[    3.908493] EXT3 FS on sda6, internal journal
[    3.908497] EXT3-fs: mounted filesystem with ordered data mode.
[    3.948201] EXT4-fs (sdb1): mounted filesystem with ordered data mode
[    4.724683] e1000e 0000:04:00.0: irq 52 for MSI/MSI-X
[    4.780055] e1000e 0000:04:00.0: irq 52 for MSI/MSI-X
[    4.781225] ADDRCONF(NETDEV_UP): eth0: link is not ready
[    7.424986] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[    7.428289] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   17.508003] eth0: no IPv6 routers present
[   63.392030] usb 2-1: USB disconnect, address 2
[60360.581095] INFO: task dpkg:21101 blocked for more than 120 seconds.
[60360.581141] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[60360.581188] dpkg          D 0000000000000002     0 21101  20880 0x00000000
[60360.581193]  ffff88022f0754c0 0000000000000082 0000000e2c86ddb8 ffff88002c86de98
[60360.581197]  0000000000000000 0000000000000000 000000000000f9e0 ffff88002c86dfd8
[60360.581201]  0000000000015780 0000000000015780 ffff88022ca99c40 ffff88022ca99f38
[60360.581204] Call Trace:
[60360.581214]  [<ffffffff81106667>] ? bdi_sched_wait+0x0/0xe
[60360.581217]  [<ffffffff81106670>] ? bdi_sched_wait+0x9/0xe
[60360.581222]  [<ffffffff812f81d6>] ? __wait_on_bit+0x41/0x70
[60360.581225]  [<ffffffff81106667>] ? bdi_sched_wait+0x0/0xe
[60360.581227]  [<ffffffff812f8270>] ? out_of_line_wait_on_bit+0x6b/0x77
[60360.581231]  [<ffffffff81063910>] ? wake_bit_function+0x0/0x23
[60360.581234]  [<ffffffff811066e8>] ? sync_inodes_sb+0x73/0x12a
[60360.581238]  [<ffffffff8110a255>] ? __sync_filesystem+0x4b/0x70
[60360.581240]  [<ffffffff8110a314>] ? sync_filesystems+0x9a/0xe3
[60360.581243]  [<ffffffff8110a3a2>] ? sys_sync+0x1c/0x2e
[60360.581248]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
[60480.580051] INFO: task dpkg:21101 blocked for more than 120 seconds.
[60480.580083] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[60480.580127] dpkg          D 0000000000000002     0 21101  20880 0x00000000
[60480.580132]  ffff88022f0754c0 0000000000000082 0000000e2c86ddb8 ffff88002c86de98
[60480.580136]  0000000000000000 0000000000000000 000000000000f9e0 ffff88002c86dfd8
[60480.580139]  0000000000015780 0000000000015780 ffff88022ca99c40 ffff88022ca99f38
[60480.580142] Call Trace:
[60480.580152]  [<ffffffff81106667>] ? bdi_sched_wait+0x0/0xe
[60480.580155]  [<ffffffff81106670>] ? bdi_sched_wait+0x9/0xe
[60480.580159]  [<ffffffff812f81d6>] ? __wait_on_bit+0x41/0x70
[60480.580162]  [<ffffffff81106667>] ? bdi_sched_wait+0x0/0xe
[60480.580165]  [<ffffffff812f8270>] ? out_of_line_wait_on_bit+0x6b/0x77
[60480.580169]  [<ffffffff81063910>] ? wake_bit_function+0x0/0x23
[60480.580172]  [<ffffffff811066e8>] ? sync_inodes_sb+0x73/0x12a
[60480.580175]  [<ffffffff8110a255>] ? __sync_filesystem+0x4b/0x70
[60480.580178]  [<ffffffff8110a314>] ? sync_filesystems+0x9a/0xe3
[60480.580180]  [<ffffffff8110a3a2>] ? sys_sync+0x1c/0x2e
[60480.580185]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
[60600.580047] INFO: task dpkg:21101 blocked for more than 120 seconds.
[60600.580078] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[60600.580123] dpkg          D 0000000000000002     0 21101  20880 0x00000000
[60600.580127]  ffff88022f0754c0 0000000000000082 0000000e2c86ddb8 ffff88002c86de98
[60600.580132]  0000000000000000 0000000000000000 000000000000f9e0 ffff88002c86dfd8
[60600.580135]  0000000000015780 0000000000015780 ffff88022ca99c40 ffff88022ca99f38
[60600.580138] Call Trace:
[60600.580148]  [<ffffffff81106667>] ? bdi_sched_wait+0x0/0xe
[60600.580151]  [<ffffffff81106670>] ? bdi_sched_wait+0x9/0xe
[60600.580155]  [<ffffffff812f81d6>] ? __wait_on_bit+0x41/0x70
[60600.580158]  [<ffffffff81106667>] ? bdi_sched_wait+0x0/0xe
[60600.580161]  [<ffffffff812f8270>] ? out_of_line_wait_on_bit+0x6b/0x77
[60600.580165]  [<ffffffff81063910>] ? wake_bit_function+0x0/0x23
[60600.580168]  [<ffffffff811066e8>] ? sync_inodes_sb+0x73/0x12a
[60600.580171]  [<ffffffff8110a255>] ? __sync_filesystem+0x4b/0x70
[60600.580174]  [<ffffffff8110a314>] ? sync_filesystems+0x9a/0xe3
[60600.580176]  [<ffffffff8110a3a2>] ? sys_sync+0x1c/0x2e
[60600.580181]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b

** Model information
sys_vendor: Supermicro
product_name: X7DVL
product_version: 0123456789
chassis_vendor: Supermicro
chassis_version: 0123456789
bios_vendor: Phoenix Technologies LTD
bios_version: 6.00
board_vendor: Supermicro
board_name: X7DVL
board_version: PCB Version

** Loaded modules:
Module                  Size  Used by
ext3                  106518  1 
jbd                    37085  1 ext3
loop                   11799  0 
radeon                572811  0 
ttm                    39986  1 radeon
i5k_amb                 4439  0 
ioatdma                34876  6 
joydev                  8411  0 
i5000_edac              7284  0 
dca                     3761  1 ioatdma
evdev                   7352  2 
drm_kms_helper         20065  1 radeon
rng_core                3006  0 
edac_core              29261  3 i5000_edac
i2c_i801                7830  0 
drm                   142551  3 radeon,ttm,drm_kms_helper
i2c_algo_bit            4225  1 radeon
i2c_core               15712  5 radeon,drm_kms_helper,i2c_i801,drm,i2c_algo_bit
container               2389  0 
button                  4650  0 
snd_pcsp                6579  0 
snd_pcm                60471  1 snd_pcsp
snd_timer              15582  1 snd_pcm
shpchp                 26264  0 
pci_hotplug            21203  1 shpchp
snd                    46446  3 snd_pcsp,snd_pcm,snd_timer
soundcore               4598  1 snd
snd_page_alloc          6249  1 snd_pcm
parport_pc             18855  0 
parport                27954  1 parport_pc
psmouse                49777  0 
serio_raw               3752  0 
processor              30303  0 
ext4                  288969  2 
mbcache                 5050  2 ext3,ext4
jbd2                   67015  1 ext4
crc16                   1319  1 ext4
usbhid                 33276  0 
hid                    62857  1 usbhid
sd_mod                 29777  6 
crc_t10dif              1276  1 sd_mod
ata_generic             2983  0 
uhci_hcd               18521  0 
thermal                11674  0 
ata_piix               21124  4 
floppy                 49087  0 
libata                133584  2 ata_generic,ata_piix
ehci_hcd               31135  0 
thermal_sys            11942  2 processor,thermal
e1000e                110015  0 
scsi_mod              122117  2 sd_mod,libata
usbcore               121938  4 usbhid,uhci_hcd,ehci_hcd
nls_base                6377  1 usbcore

** Network interface configuration:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
allow-hotplug eth0
iface eth0 inet static
	address 10.196.106.44
	netmask 255.255.254.0
	network 10.196.106.0
	broadcast 10.196.107.255
	gateway 10.196.106.1
	# dns-* options are implemented by the resolvconf package, if installed
	dns-nameservers 140.203.155.10 140.203.155.22 140.203.9.1
	dns-search sindice.net

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:30:48:63:03:e0 brd ff:ff:ff:ff:ff:ff
    inet 10.196.106.44/23 brd 10.196.107.255 scope global eth0
    inet6 fe80::230:48ff:fe63:3e0/64 scope link 
       valid_lft forever preferred_lft forever
3: eth1: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:30:48:63:03:e1 brd ff:ff:ff:ff:ff:ff

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:46301333349 6691593    0    0    0     0          0         0 46301333349 6691593    0    0    0     0       0          0
  eth0:95829482050 79137463    0   19    0     0          0     31532 83238962569 71621190    0    0    0     0       0          0
  eth1:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    85821307 total packets received
    0 forwarded
    0 incoming packets discarded
    85821307 incoming packets delivered
    27104841 requests sent out
Icmp:
    3 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 1
        echo replies: 2
    3 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 1
        echo request: 2
IcmpMsg:
        InType0: 2
        InType3: 1
        OutType3: 1
        OutType8: 2
Tcp:
    5161 active connections openings
    5039 passive connection openings
    28 failed connection attempts
    2430 connection resets received
    25 connections established
    85790919 segments received
    27091237 segments send out
    14826 segments retransmited
    0 bad segments received.
    12498 resets sent
Udp:
    32311 packets received
    0 packets to unknown port received.
    0 packet receive errors
    699 packets sent
UdpLite:
TcpExt:
    2 resets received for embryonic SYN_RECV sockets
    286 packets pruned from receive queue because of socket buffer overrun
    3522 TCP sockets finished time wait in fast timer
    3 time wait sockets recycled by time stamp
    27670 delayed acks sent
    1188 delayed acks further delayed because of locked socket
    Quick ack mode was activated 118 times
    4533 packets directly queued to recvmsg prequeue.
    3799356374 bytes directly in process context from backlog
    6038748 bytes directly received in process context from prequeue
    67648842 packet headers predicted
    2636421 packets header predicted and directly queued to user
    2113103 acknowledgments not containing data payload received
    12645517 predicted acknowledgments
    773 times recovered from packet loss by selective acknowledgements
    Detected reordering 1 times using FACK
    75 congestion windows recovered without slow start after partial ack
    4862 TCP data loss events
    TCPLostRetransmit: 5
    12093 fast retransmits
    70 forward retransmits
    2494 retransmits in slow start
    155 other TCP timeouts
    3 SACK retransmits failed
    47266 packets collapsed in receive queue due to low socket buffer
    118 DSACKs sent for old packets
    108 DSACKs received
    390 connections reset due to unexpected data
    1055 connections reset due to early user close
    TCPDSACKIgnoredOld: 81
    TCPDSACKIgnoredNoUndo: 22
    TCPSpuriousRTOs: 1
    TCPSackShifted: 19699
    TCPSackMerged: 2210
    TCPSackShiftFallback: 1457
IpExt:
    InMcastPkts: 31843
    OutMcastPkts: 232
    InOctets: -710344668
    OutOctets: 1115826017
    InMcastOctets: 4801130
    OutMcastOctets: 27642

*** Device features:
eth0: 0x110ba9
eth1: 0x110ba9
lo: 0x13865

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 5000V Chipset Memory Controller Hub [8086:25d4] (rev b1)
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 0
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] MSI: Enable- Count=1/2 Maskable- 64bit-
		Address: fee00000  Data: 0000
	Capabilities: [6c] Express (v1) Root Port (Slot-), MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s unlimited, L1 unlimited
			ExtTag- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x4, ASPM L0s, Latency L0 unlimited, L1 unlimited
			ClockPM- Surprise+ LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x4, TrErr- Train- SlotClk+ DLActive+ BWMgmt- ABWMgmt-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol+
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		AERCap:	First Error Pointer: 00, GenCap- CGenEn- ChkCap- ChkEn-

00:02.0 PCI bridge [0604]: Intel Corporation 5000 Series Chipset PCI Express x8 Port 2-3 [8086:25f7] (rev b1) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=01, subordinate=05, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d8000000-d81fffff
	Prefetchable memory behind bridge: 00000000d8300000-00000000d83fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] MSI: Enable+ Count=1/2 Maskable- 64bit-
		Address: fee0f00c  Data: 4161
	Capabilities: [6c] Express (v1) Root Port (Slot-), MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s unlimited, L1 unlimited
			ExtTag- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 4096 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		LnkCap:	Port #2, Speed 2.5GT/s, Width x8, ASPM L0s, Latency L0 unlimited, L1 unlimited
			ClockPM- Surprise+ LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x8, TrErr- Train- SlotClk+ DLActive+ BWMgmt- ABWMgmt-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES+ TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		AERCap:	First Error Pointer: 00, GenCap- CGenEn- ChkCap- ChkEn-
	Kernel driver in use: pcieport

00:08.0 System peripheral [0880]: Intel Corporation 5000 Series Chipset DMA Engine [8086:1a38] (rev b1)
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 54
	Region 0: Memory at fe700000 (64-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] MSI: Enable+ Count=1/1 Maskable- 64bit-
		Address: fee0f00c  Data: 4199
	Capabilities: [6c] Express (v1) Root Complex Integrated Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal+ Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		LnkCap:	Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
	Kernel driver in use: ioatdma

00:10.0 Host bridge [0600]: Intel Corporation 5000 Series Chipset FSB Registers [8086:25f0] (rev b1)
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Kernel driver in use: i5000_edac

00:10.1 Host bridge [0600]: Intel Corporation 5000 Series Chipset FSB Registers [8086:25f0] (rev b1)
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:10.2 Host bridge [0600]: Intel Corporation 5000 Series Chipset FSB Registers [8086:25f0] (rev b1)
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:11.0 Host bridge [0600]: Intel Corporation 5000 Series Chipset Reserved Registers [8086:25f1] (rev b1)
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:13.0 Host bridge [0600]: Intel Corporation 5000 Series Chipset Reserved Registers [8086:25f3] (rev b1)
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:15.0 Host bridge [0600]: Intel Corporation 5000 Series Chipset FBD Registers [8086:25f5] (rev b1)
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:16.0 Host bridge [0600]: Intel Corporation 5000 Series Chipset FBD Registers [8086:25f6] (rev b1)
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:1c.0 PCI bridge [0604]: Intel Corporation 631xESB/632xESB/3100 Chipset PCI Express Root Port 1 [8086:2690] (rev 09) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=06, subordinate=06, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: d8600000-d87fffff
	Prefetchable memory behind bridge: 00000000d8800000-00000000d89fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v1) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s unlimited, L1 unlimited
			ExtTag+ RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #1, Speed 2.5GT/s, Width x4, ASPM L0s L1, Latency L0 <256ns, L1 <4us
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surprise+
			Slot #0, PowerLimit 0.000W; Interlock- NoCompl-
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
			Changed: MRL- PresDet- LinkState-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
		Address: fee0f00c  Data: 4169
	Capabilities: [90] Subsystem: Super Micro Computer Inc Device [15d9:8680]
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [100 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed+ WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed+ WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=ff
			Status:	NegoPending- InProgress-
		VC1:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed+ WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable- ID=0 ArbSelect=Fixed TC/VC=00
			Status:	NegoPending- InProgress-
	Capabilities: [180 v1] Root Complex Link
		Desc:	PortNumber=01 ComponentID=02 EltType=Config
		Link0:	Desc:	TargetPort=00 TargetComponent=02 AssocRCRB- LinkType=MemMapped LinkValid+
			Addr:	00000000fed1c001
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #1 [8086:2688] (rev 09) (prog-if 00 [UHCI])
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 17
	Region 4: I/O ports at 1800 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #2 [8086:2689] (rev 09) (prog-if 00 [UHCI])
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 1820 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #3 [8086:268a] (rev 09) (prog-if 00 [UHCI])
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 1840 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB Controller [0c03]: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #4 [8086:268b] (rev 09) (prog-if 00 [UHCI])
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 16
	Region 4: I/O ports at 1860 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 631xESB/632xESB/3100 Chipset EHCI USB2 Controller [8086:268c] (rev 09) (prog-if 20 [EHCI])
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at d8500000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev d9) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=32
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: d8200000-d82fffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000d7ffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [50] Subsystem: Super Micro Computer Inc Device [15d9:8680]

00:1f.0 ISA bridge [0601]: Intel Corporation 631xESB/632xESB/3100 Chipset LPC Interface Controller [8086:2670] (rev 09)
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:1f.2 IDE interface [0101]: Intel Corporation 631xESB/632xESB/3100 Chipset SATA IDE Controller [8086:2680] (rev 09) (prog-if 8a [Master SecP PriP])
	Subsystem: Super Micro Computer Inc Device [15d9:8680]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 1890 [size=16]
	Region 5: Memory at d8400000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [70] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: ata_piix

00:1f.3 SMBus [0c05]: Intel Corporation 631xESB/632xESB/3100 Chipset SMBus Controller [8086:269b] (rev 09)
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 1100 [size=32]
	Kernel driver in use: i801_smbus

01:00.0 PCI bridge [0604]: Intel Corporation 6311ESB/6321ESB PCI Express Upstream Port [8086:3500] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=01, secondary=02, subordinate=04, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d8000000-d80fffff
	Prefetchable memory behind bridge: 00000000d8300000-00000000d83fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [44] Express (v1) Upstream Port, MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-SlotPowerLimit 0.000W
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 4096 bytes
		DevSta:	CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x8, ASPM L0s, Latency L0 unlimited, L1 unlimited
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x8, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [70] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [80] Subsystem: Super Micro Computer Inc Device [15d9:8680]
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq+ ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		AERCap:	First Error Pointer: 14, GenCap- CGenEn- ChkCap- ChkEn-
	Kernel driver in use: pcieport

01:00.3 PCI bridge [0604]: Intel Corporation 6311ESB/6321ESB PCI Express to PCI-X Bridge [8086:350c] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=01, secondary=05, subordinate=05, sec-latency=64
	Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [44] Express (v1) PCI/PCI-X Bridge, MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal+ Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop- BrConfRtry-
			MaxPayload 128 bytes, MaxReadReq 4096 bytes
		DevSta:	CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x8, ASPM L0s, Latency L0 unlimited, L1 unlimited
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x8, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
	Capabilities: [6c] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [80] Subsystem: Super Micro Computer Inc Device [15d9:8680]
	Capabilities: [d8] PCI-X bridge device
		Secondary Status: 64bit+ 133MHz+ SCD- USC- SCO- SRD- Freq=133MHz
		Status: Dev=00:00.3 64bit- 133MHz- SCD- USC- SCO- SRD-
		Upstream: Capacity=65535 CommitmentLimit=65535
		Downstream: Capacity=65535 CommitmentLimit=65535
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq+ ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		AERCap:	First Error Pointer: 14, GenCap- CGenEn- ChkCap- ChkEn-

02:00.0 PCI bridge [0604]: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E1 [8086:3510] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=02, secondary=03, subordinate=03, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [44] Express (v1) Downstream Port (Slot-), MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 4096 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x8, ASPM L0s, Latency L0 unlimited, L1 unlimited
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; Disabled- Retrain+ CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee0f00c  Data: 4171
	Capabilities: [70] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [80] Subsystem: Super Micro Computer Inc Device [15d9:8680]
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		AERCap:	First Error Pointer: 00, GenCap- CGenEn- ChkCap- ChkEn-
	Kernel driver in use: pcieport

02:02.0 PCI bridge [0604]: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E3 [8086:3518] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=02, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d8000000-d80fffff
	Prefetchable memory behind bridge: 00000000d8300000-00000000d83fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [44] Express (v1) Downstream Port (Slot-), MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 4096 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x4, ASPM L0s, Latency L0 unlimited, L1 unlimited
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x4, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee0f00c  Data: 4179
	Capabilities: [70] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [80] Subsystem: Super Micro Computer Inc Device [15d9:8680]
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		AERCap:	First Error Pointer: 00, GenCap- CGenEn- ChkCap- ChkEn-
	Kernel driver in use: pcieport

04:00.0 Ethernet controller [0200]: Intel Corporation 80003ES2LAN Gigabit Ethernet Controller (Copper) [8086:1096] (rev 01)
	Subsystem: Super Micro Computer Inc Device [15d9:1096]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 52
	Region 0: Memory at d8020000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at d8000000 (32-bit, non-prefetchable) [size=128K]
	Region 2: I/O ports at 2000 [size=32]
	[virtual] Expansion ROM at d8300000 [disabled] [size=64K]
	Capabilities: [c8] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee0f00c  Data: 41a9
	Capabilities: [e0] Express (v1) Endpoint, MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s <512ns, L1 <64us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
		DevCtl:	Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 4096 bytes
		DevSta:	CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x4, ASPM unknown, Latency L0 <128ns, L1 <64us
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x4, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq+ ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr+ BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		AERCap:	First Error Pointer: 14, GenCap- CGenEn- ChkCap- ChkEn-
	Capabilities: [140 v1] Device Serial Number 00-30-48-ff-ff-63-03-e0
	Kernel driver in use: e1000e

04:00.1 Ethernet controller [0200]: Intel Corporation 80003ES2LAN Gigabit Ethernet Controller (Copper) [8086:1096] (rev 01)
	Subsystem: Super Micro Computer Inc Device [15d9:1096]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 53
	Region 0: Memory at d8060000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at d8040000 (32-bit, non-prefetchable) [size=128K]
	Region 2: I/O ports at 2020 [size=32]
	[virtual] Expansion ROM at d8310000 [disabled] [size=64K]
	Capabilities: [c8] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee0f00c  Data: 4191
	Capabilities: [e0] Express (v1) Endpoint, MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s <512ns, L1 <64us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
		DevCtl:	Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 4096 bytes
		DevSta:	CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x4, ASPM unknown, Latency L0 <128ns, L1 <64us
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x4, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq+ ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr+ BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		AERCap:	First Error Pointer: 14, GenCap- CGenEn- ChkCap- ChkEn-
	Capabilities: [140 v1] Device Serial Number 00-30-48-ff-ff-63-03-e0
	Kernel driver in use: e1000e

07:01.0 VGA compatible controller [0300]: ATI Technologies Inc ES1000 [1002:515e] (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Super Micro Computer Inc X7DVL-E-O motherboard [15d9:8680]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR+ FastB2B+ DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 66 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at d0000000 (32-bit, prefetchable) [size=128M]
	Region 1: I/O ports at 3000 [size=256]
	Region 2: Memory at d8200000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at d8220000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-


** USB devices:
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_IE.UTF-8, LC_CTYPE=en_IE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.35     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.1     tools for generating an initramfs
ii  linux-base                    2.6.32-21  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-amd64 recommends:
pn  firmware-linux-free           <none>     (no description available)

Versions of packages linux-image-2.6.32-5-amd64 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.32-5-amd64/postinst/ignoring-do-bootloader-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/postinst/depmod-error-initrd-2.6.32-5-amd64: false
  linux-image-2.6.32-5-amd64/prerm/removing-running-kernel-2.6.32-5-amd64: true
  linux-image-2.6.32-5-amd64/postinst/missing-firmware-2.6.32-5-amd64:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595927; Package linux-2.6. (Wed, 08 Sep 2010 07:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to stephen mulcahy <stephen.mulcahy@deri.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 08 Sep 2010 07:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 595927@bugs.debian.org (full text, mbox):

From: stephen mulcahy <stephen.mulcahy@deri.org>
To: 595927@bugs.debian.org
Subject: Related kernel bug?
Date: Wed, 08 Sep 2010 08:17:17 +0100
Is this possibly related to http://lkml.org/lkml/2010/2/12/41 ?
If so, there seems to be a patch available.

-- 
Stephen Mulcahy, DI2, Digital Enterprise Research Institute,
NUI Galway, IDA Business Park, Lower Dangan, Galway, Ireland
http://di2.deri.ie    http://webstar.deri.ie    http://sindice.com




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595927; Package linux-2.6. (Fri, 24 Sep 2010 13:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Douglas A. Augusto" <daaugusto@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 24 Sep 2010 13:24:11 GMT) Full text and rfc822 format available.

Message #15 received at 595927@bugs.debian.org (full text, mbox):

From: "Douglas A. Augusto" <daaugusto@gmail.com>
To: 595927@bugs.debian.org
Subject: This occurs in Linux 2.6.35 also
Date: Fri, 24 Sep 2010 10:16:25 -0300
dmesg:

   [157565.846882] INFO: task dpkg:7258 blocked for more than 120 seconds.
   [157565.846884] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
   [157565.846886] dpkg          D 000000010257d0a1     0  7258  22003 0x00000000
   [157565.846889]  ffff8803375be630 0000000000000082 ffff880336791e50 0000000000000001
   [157565.846893]  ffff88033e0e4420 00000000000154c0 00000000000154c0 00000000000154c0
   [157565.846895]  ffff880336791fd8 00000000000154c0 ffff8803375be630 ffff880336791fd8
   [157565.846897] Call Trace:
   [157565.846904]  [<ffffffff813054df>] ? schedule_timeout+0x2d/0xd7
   [157565.846907]  [<ffffffff81038c8f>] ? enqueue_task_fair+0x21/0x62
   [157565.846911]  [<ffffffff8100e7d9>] ? sched_clock+0x5/0x8
   [157565.846914]  [<ffffffff81305354>] ? wait_for_common+0xd1/0x14e
   [157565.846918]  [<ffffffff8103f630>] ? default_wake_function+0x0/0xf
   [157565.846921]  [<ffffffff81106882>] ? sync_one_sb+0x0/0x20
   [157565.846925]  [<ffffffff81102e85>] ? sync_inodes_sb+0x89/0x140
   [157565.846927]  [<ffffffff81106882>] ? sync_one_sb+0x0/0x20
   [157565.846929]  [<ffffffff8110684c>] ? __sync_filesystem+0x44/0x7a
   [157565.846932]  [<ffffffff810eab16>] ? iterate_supers+0x61/0xa0
   [157565.846934]  [<ffffffff811068e1>] ? sys_sync+0x3f/0x54
   [157565.846937]  [<ffffffff810089c2>] ? system_call_fastpath+0x16/0x1b


I'm using:

% uname -a
Linux gnu 2.6.35-trunk-amd64 #1 SMP Mon Sep 6 15:15:26 UTC 2010 x86_64 GNU/Linux

% dpkg -l|grep linux-image
ii  linux-image-2.6.35-trunk-amd64       2.6.35-1~experimental.3          Linux 2.6.35 for 64-bit PCs

-- 
Douglas A. Augusto




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595927; Package linux-2.6. (Sun, 26 Sep 2010 20:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 26 Sep 2010 20:33:05 GMT) Full text and rfc822 format available.

Message #20 received at 595927@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: "Douglas A. Augusto" <daaugusto@gmail.com>, 595927@bugs.debian.org
Subject: Re: Bug#595927: This occurs in Linux 2.6.35 also
Date: Sun, 26 Sep 2010 21:29:19 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2010-09-24 at 10:16 -0300, Douglas A. Augusto wrote:
> dmesg:
> 
>    [157565.846882] INFO: task dpkg:7258 blocked for more than 120 seconds.
>    [157565.846884] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
>    [157565.846886] dpkg          D 000000010257d0a1     0  7258  22003 0x00000000
>    [157565.846889]  ffff8803375be630 0000000000000082 ffff880336791e50 0000000000000001
>    [157565.846893]  ffff88033e0e4420 00000000000154c0 00000000000154c0 00000000000154c0
>    [157565.846895]  ffff880336791fd8 00000000000154c0 ffff8803375be630 ffff880336791fd8
>    [157565.846897] Call Trace:
>    [157565.846904]  [<ffffffff813054df>] ? schedule_timeout+0x2d/0xd7
>    [157565.846907]  [<ffffffff81038c8f>] ? enqueue_task_fair+0x21/0x62
>    [157565.846911]  [<ffffffff8100e7d9>] ? sched_clock+0x5/0x8
>    [157565.846914]  [<ffffffff81305354>] ? wait_for_common+0xd1/0x14e
>    [157565.846918]  [<ffffffff8103f630>] ? default_wake_function+0x0/0xf
>    [157565.846921]  [<ffffffff81106882>] ? sync_one_sb+0x0/0x20
>    [157565.846925]  [<ffffffff81102e85>] ? sync_inodes_sb+0x89/0x140
>    [157565.846927]  [<ffffffff81106882>] ? sync_one_sb+0x0/0x20
>    [157565.846929]  [<ffffffff8110684c>] ? __sync_filesystem+0x44/0x7a
>    [157565.846932]  [<ffffffff810eab16>] ? iterate_supers+0x61/0xa0
>    [157565.846934]  [<ffffffff811068e1>] ? sys_sync+0x3f/0x54
>    [157565.846937]  [<ffffffff810089c2>] ? system_call_fastpath+0x16/0x1b
> 
> 
> I'm using:
> 
> % uname -a
> Linux gnu 2.6.35-trunk-amd64 #1 SMP Mon Sep 6 15:15:26 UTC 2010 x86_64 GNU/Linux
> 
> % dpkg -l|grep linux-image
> ii  linux-image-2.6.35-trunk-amd64       2.6.35-1~experimental.3          Linux 2.6.35 for 64-bit PCs

This might be the same bug though the call trace is somewhat different.

Please can you add this information to
<https://bugzilla.kernel.org/show_bug.cgi?id=18632>.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=18632'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 26 Sep 2010 20:33:10 GMT) Full text and rfc822 format available.

Forcibly Merged 595927 600075. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 10 Nov 2010 08:57:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-2.6' to 'dpkg'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 10 Nov 2010 09:03:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.32-24, 2.6.32-21, and 2.6.32-23. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 10 Nov 2010 09:03:08 GMT) Full text and rfc822 format available.

Severity set to 'critical' from 'important' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 10 Nov 2010 09:03:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Thu, 25 Nov 2010 06:54:06 GMT) Full text and rfc822 format available.

Message sent on to stephen mulcahy <stephen.mulcahy@deri.org>:
Bug#595927. (Thu, 25 Nov 2010 06:54:16 GMT) Full text and rfc822 format available.

Message #35 received at 595927-submitter@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 595927-submitter@bugs.debian.org
Subject: Bug#595927 marked as pending
Date: Thu, 25 Nov 2010 06:50:21 +0000
tag 595927 pending
thanks

Hello,

Bug #595927 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=5ee4e4e

---
commit 5ee4e4e0458088cde1625ddb5a3d736f31a335d3
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 29 09:11:02 2010 +0200

    build: Disable usage of synchronous sync(2) by default
    
    It causes undesired I/O on unrelated file systems. It also makes the
    code behave differently on Linux systems.
    
    Allow the possibility to enable it again for the benefit of downstreams,
    which might want to use it regardless of its problems. Although this
    code path will most probably be removed in the near future.
    
    Closes: #588339, #595927, #600075

diff --git a/debian/changelog b/debian/changelog
index f66daa9..4fcd521 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -11,6 +11,10 @@ dpkg (1.15.8.6) UNRELEASED; urgency=low
     correct series file if the source package provides vendor specific patch
     sets.
 
+  [ Guillem Jover ]
+  * Disable by default usage of synchronous sync(2), as it causes undesired
+    I/O on unrelated file systems. Closes: #588339, #595927, #600075
+
   [ Updated man page translations ]
   * French (Christian Perrier). Including a typo fix
     and a typographical change reported by Vincent Danjean




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Thu, 25 Nov 2010 07:03:10 GMT) Full text and rfc822 format available.

Notification sent to stephen mulcahy <stephen.mulcahy@deri.org>:
Bug acknowledged by developer. (Thu, 25 Nov 2010 07:03:10 GMT) Full text and rfc822 format available.

Message #40 received at 595927-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 595927-close@bugs.debian.org
Subject: Bug#595927: fixed in dpkg 1.15.8.6
Date: Thu, 25 Nov 2010 07:02:13 +0000
Source: dpkg
Source-Version: 1.15.8.6

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.15.8.6_all.deb
  to main/d/dpkg/dpkg-dev_1.15.8.6_all.deb
dpkg_1.15.8.6.dsc
  to main/d/dpkg/dpkg_1.15.8.6.dsc
dpkg_1.15.8.6.tar.bz2
  to main/d/dpkg/dpkg_1.15.8.6.tar.bz2
dpkg_1.15.8.6_amd64.deb
  to main/d/dpkg/dpkg_1.15.8.6_amd64.deb
dselect_1.15.8.6_amd64.deb
  to main/d/dpkg/dselect_1.15.8.6_amd64.deb
libdpkg-dev_1.15.8.6_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.15.8.6_amd64.deb
libdpkg-perl_1.15.8.6_all.deb
  to main/d/dpkg/libdpkg-perl_1.15.8.6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595927@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 25 Nov 2010 07:10:48 +0100
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.15.8.6
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 584254 588339 595455 595927 596168 596519 597023 597651 598473 599923 600075 600240 601852 602518 604769
Changes: 
 dpkg (1.15.8.6) unstable; urgency=low
 .
   [ Raphaël Hertzog ]
   * Ensure debian/source/local-options is always excluded from the source
     package even if the user provides customized -i or -I options.
     Closes: #597023
   * Fix Dpkg::Version's handling of version with a debian revision but an
     empty version (e.g. "-0.1"). Thanks to James Vega <jamessan@debian.org>
     for the patch. Closes: #597651
   * With "3.0 (quilt)" source package, create .pc/.quilt_series with the
     correct series file if the source package provides vendor specific patch
     sets.
 .
   [ Guillem Jover ]
   * Disable by default usage of synchronous sync(2), as it causes undesired
     I/O on unrelated file systems. Closes: #588339, #595927, #600075
   * Add new --force-unsafe-io to disable safe I/O operations on unpack.
     Closes: #584254
 .
   [ Updated man page translations ]
   * French (Christian Perrier). Including a typo fix and a typographical
     change reported by Vincent Danjean. Closes: #601852
   * Spanish (Omar Campagne). Closes: #596519
 .
   [ Updated programs translations ]
   * Basque (Iñaki Larrañaga Murgoitio). Closes: #599923
   * Catalan (Jordi Mallach).
   * Danish (Ask Hjorth Larsen). Closes: #600240
   * German (Sven Joachim). Improved by Holger Wansing.
   * Italian (Pietro Battiston). Fix translation of "however". Closes: #602518
   * Portuguese (Miguel Figueiredo). Closes: #596168
   * Romanian (Andrei Popescu). Closes: #604769
   * Russian (Yuri Kozlov). Closes: #595455
   * Vietnamese (Clytie Siddall). Closes: #598473
 .
   [ Updated scripts translations ]
   * Catalan (Jordi Mallach).
   * German (Sven Joachim).
 .
   [ Updated dselect translations ]
   * Catalan (Jordi Mallach).
   * German (Sven Joachim).
Checksums-Sha1: 
 0ac67a10e335d0ec5375ac523998546403525ff9 1208 dpkg_1.15.8.6.dsc
 ebc9a6087f8f8c56c973f26f9bdb17ef1c570f0c 5222815 dpkg_1.15.8.6.tar.bz2
 7a6e46450c5d8d89746a5ba16a6ed7b9306b2a07 426852 libdpkg-dev_1.15.8.6_amd64.deb
 ba234426fb283f292efc9a0b202a09b5c579b504 2338026 dpkg_1.15.8.6_amd64.deb
 196702535a3a609f134375d5d3c39bb26663f4ca 894426 dselect_1.15.8.6_amd64.deb
 e6affdd25dcdc0b9c73e5059bc95f34531ed52e4 801736 dpkg-dev_1.15.8.6_all.deb
 47cb193e3096afb8035632a1b6bae0da9771c226 682848 libdpkg-perl_1.15.8.6_all.deb
Checksums-Sha256: 
 a4355f87fa1466edcefff224182ae7824d1469d1ddc28126d00cd361c611e0a9 1208 dpkg_1.15.8.6.dsc
 b319621a4d0f9fa7b356b4def978bad0b18b944405f2be9eace5e2713b5f1f49 5222815 dpkg_1.15.8.6.tar.bz2
 eedd636f39cb03a28758558cd6f4b700a2168c1adb9e4c8a59ab4ca07549bad5 426852 libdpkg-dev_1.15.8.6_amd64.deb
 6d3265e9aa6ef2d7ec341687df80e55da5996daa5d581e1864e9466bc7c36321 2338026 dpkg_1.15.8.6_amd64.deb
 b4a073849a3944c4f7b13b67cc6db8a78e8edd38ca50d86134f7aa1977c40f4b 894426 dselect_1.15.8.6_amd64.deb
 3368e9efe1206c720b92c69b89f3f43e8a0a4d13949aa24deceb02b2452ef756 801736 dpkg-dev_1.15.8.6_all.deb
 6a05978ee576c2848aa0f748cd0208547c0f39856a782ba227db331b7cf24bd3 682848 libdpkg-perl_1.15.8.6_all.deb
Files: 
 6d69ce9fd47b97aef50f5ba1209c4b24 1208 admin required dpkg_1.15.8.6.dsc
 4102648a08a4416bfc3e4f4275a438e4 5222815 admin required dpkg_1.15.8.6.tar.bz2
 1c45d231edef121f36a575a6322e928b 426852 libdevel optional libdpkg-dev_1.15.8.6_amd64.deb
 4525021598d6810dcb3fa114e5433ba1 2338026 admin required dpkg_1.15.8.6_amd64.deb
 b5662cfacfb969c3db3668cab230729b 894426 admin optional dselect_1.15.8.6_amd64.deb
 85db60da1da45941fd1789d156bdbd01 801736 utils optional dpkg-dev_1.15.8.6_all.deb
 00816223970f7700379ef13d2110878b 682848 perl optional libdpkg-perl_1.15.8.6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzuA9IACgkQuW9ciZ2SjJtWeACgw/Em7Z5+xaFqj6lJk3DpESzc
y/EAnA0oig96OBJD4pOI1fM62qXmzP00
=ugvO
-----END PGP SIGNATURE-----





Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Thu, 25 Nov 2010 07:03:11 GMT) Full text and rfc822 format available.

Notification sent to Сергей <kt315@bigmir.net>:
Bug acknowledged by developer. (Thu, 25 Nov 2010 07:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#595927; Package dpkg. (Fri, 26 Nov 2010 10:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to stephen mulcahy <stephen.mulcahy@deri.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Fri, 26 Nov 2010 10:00:03 GMT) Full text and rfc822 format available.

Message #50 received at 595927@bugs.debian.org (full text, mbox):

From: stephen mulcahy <stephen.mulcahy@deri.org>
To: 595927@bugs.debian.org
Subject: Re: Bug#595927 closed by Guillem Jover <guillem@debian.org> (Bug#600075: fixed in dpkg 1.15.8.6)
Date: Fri, 26 Nov 2010 09:46:56 +0000
FYI - I just manually installed 1.15.8.6 on one of our systems that had 
been exhibiting this problem and then ran a significant aptitude update 
& upgrade and didn't see any occurences of the problem - so this looks 
positive.

It would be good to see this update migrate into squeeze asap.

Thanks for your efforts on this - much appreciated.

-stephen

On 25/11/10 07:03, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> which was filed against the dpkg package:
>
> #600075: linux-image-2.6.32-5-amd64: task dpkg blocked for more than 120 seconds
>
> It has been closed by Guillem Jover<guillem@debian.org>.
>
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Guillem Jover<guillem@debian.org>  by
> replying to this email.
>
>


-- 
Stephen Mulcahy, DI2, Digital Enterprise Research Institute,
NUI Galway, IDA Business Park, Lower Dangan, Galway, Ireland
http://di2.deri.ie    http://webstar.deri.ie    http://sindice.com




Forcibly Merged 595927 600075 606966. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 13 Dec 2010 18:09:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Jan 2011 07:31:17 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. (Fri, 20 May 2011 07:15:03 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions dpkg/1.15.8.6 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 May 2011 07:21:02 GMT) Full text and rfc822 format available.

Bug reassigned from package 'dpkg' to 'linux-2.6'. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. (Fri, 20 May 2011 07:21:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions dpkg/1.15.8.5. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. (Fri, 20 May 2011 07:21:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.38-4. Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. (Fri, 20 May 2011 07:21:09 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'critical' Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. (Fri, 20 May 2011 07:21:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595927; Package linux-2.6. (Fri, 20 May 2011 07:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 20 May 2011 07:30:03 GMT) Full text and rfc822 format available.

Message #71 received at 595927@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: control@bugs.debian.org, 595927@bugs.debian.org
Subject: Bug still happening, even with recent kernels
Date: Fri, 20 May 2011 09:19:34 +0200
reopen 595927
reassign 595927 linux-2.6
found 595927 2.6.38-4
severity 595927 important
thanks

There is no reason why a kernel bug should only be fixed in userspace. If you
look at the kernel.org bugtracker (where this bug was forwarded to!) you'll see
that it is still happening with recent kernels - and it is easy to trigger, even
without using dpkg. Still happens with .38. And it became even worse with .38 -
one crash per day instead of one every other week.

If a userspace prgram is able to trigger a kernel bug the kernel needs to be
fixed, not userspace.


-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprint: ECA1 E3F2 8E11 2432 D485  DD95 EB36 171A 6FF9 435F




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595927; Package linux-2.6. (Fri, 20 May 2011 07:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 20 May 2011 07:57:08 GMT) Full text and rfc822 format available.

Message #76 received at 595927@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Bernd Zeimetz <bernd@bzed.de>, 595927@bugs.debian.org
Subject: Re: Bug#595927: Bug still happening, even with recent kernels
Date: Fri, 20 May 2011 09:55:12 +0200
On Fri, May 20, 2011 at 09:19:34AM +0200, Bernd Zeimetz wrote:
> If a userspace prgram is able to trigger a kernel bug the kernel needs to be
> fixed, not userspace.

The kernel works as documented. It is the task of userspace to use the
correct interface.

Bastian

-- 
To live is always desirable.
		-- Eleen the Capellan, "Friday's Child", stardate 3498.9




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595927; Package linux-2.6. (Fri, 20 May 2011 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 20 May 2011 08:21:03 GMT) Full text and rfc822 format available.

Message #81 received at 595927@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: Bastian Blank <waldi@debian.org>
Cc: 595927@bugs.debian.org
Subject: Re: Bug#595927: Bug still happening, even with recent kernels
Date: Fri, 20 May 2011 10:19:43 +0200
On 05/20/2011 09:55 AM, Bastian Blank wrote:
> On Fri, May 20, 2011 at 09:19:34AM +0200, Bernd Zeimetz wrote:
>> If a userspace prgram is able to trigger a kernel bug the kernel needs to be
>> fixed, not userspace.
> 
> The kernel works as documented. It is the task of userspace to use the
> correct interface.

So what you say is that a kernel is allowed to crash just because
userspace does something wrong?


-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprints: ECA1 E3F2 8E11 2432 D485 DD95 EB36 171A 6FF9 435F




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595927; Package linux-2.6. (Fri, 20 May 2011 08:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bzed@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 20 May 2011 08:30:03 GMT) Full text and rfc822 format available.

Message #86 received at 595927@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bzed@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 595927@bugs.debian.org
Subject: Re: Bug#595927: Bug still happening, even with recent kernels
Date: Fri, 20 May 2011 10:21:39 +0200
On 05/20/2011 10:19 AM, Bernd Zeimetz wrote:
> On 05/20/2011 09:55 AM, Bastian Blank wrote:
>> On Fri, May 20, 2011 at 09:19:34AM +0200, Bernd Zeimetz wrote:
>>> If a userspace prgram is able to trigger a kernel bug the kernel needs to be
>>> fixed, not userspace.
>>
>> The kernel works as documented. It is the task of userspace to use the
>> correct interface.
> 
> So what you say is that a kernel is allowed to crash just because
> userspace does something wrong?

(And please let me know what is wrong in using dd on a disk drive. I
assume you never read the bugzilla entry on kernel.org.)


-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprints: ECA1 E3F2 8E11 2432 D485 DD95 EB36 171A 6FF9 435F




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595927; Package linux-2.6. (Fri, 20 May 2011 08:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 20 May 2011 08:42:13 GMT) Full text and rfc822 format available.

Message #91 received at 595927@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Bernd Zeimetz <bzed@debian.org>
Cc: 595927@bugs.debian.org
Subject: Re: Bug#595927: Bug still happening, even with recent kernels
Date: Fri, 20 May 2011 10:40:37 +0200
On Fri, May 20, 2011 at 10:21:39AM +0200, Bernd Zeimetz wrote:
> On 05/20/2011 10:19 AM, Bernd Zeimetz wrote:
> > On 05/20/2011 09:55 AM, Bastian Blank wrote:
> >> The kernel works as documented. It is the task of userspace to use the
> >> correct interface.
> > So what you say is that a kernel is allowed to crash just because
> > userspace does something wrong?

Where is a crash? This bug is about a task blocked message.

> (And please let me know what is wrong in using dd on a disk drive. I
> assume you never read the bugzilla entry on kernel.org.)

dd does not use the sync syscall.

Bastian

-- 
The heart is not a logical organ.
		-- Dr. Janet Wallace, "The Deadly Years", stardate 3479.4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595927; Package linux-2.6. (Fri, 20 May 2011 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bzed@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 20 May 2011 09:03:04 GMT) Full text and rfc822 format available.

Message #96 received at 595927@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bzed@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 595927@bugs.debian.org
Subject: Re: Bug#595927: Bug still happening, even with recent kernels
Date: Fri, 20 May 2011 10:59:10 +0200
On 05/20/2011 10:40 AM, Bastian Blank wrote:
>> (And please let me know what is wrong in using dd on a disk drive. I
>> assume you never read the bugzilla entry on kernel.org.)
> 
> dd does not use the sync syscall.

You obviusly still did not read the bugzilla entry about this bug.

It mentions such nice things like:

[  361.230737] INFO: task jbd2/sda2-8:311 blocked for more than 120 seconds.

I have the same here with devicemapper tasks.

So what you want to tell me is that due to a programming error in
userspace it is okay that the kernel will be stuck completely, rejecting
all IO, without ever being able to recover at all?

If upstream shares your opinion on that it is time to switch to a
different OS.

-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprints: ECA1 E3F2 8E11 2432 D485 DD95 EB36 171A 6FF9 435F




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595927; Package linux-2.6. (Fri, 20 May 2011 09:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 20 May 2011 09:18:09 GMT) Full text and rfc822 format available.

Message #101 received at 595927@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Bernd Zeimetz <bzed@debian.org>
Cc: 595927@bugs.debian.org
Subject: Re: Bug#595927: Bug still happening, even with recent kernels
Date: Fri, 20 May 2011 11:14:17 +0200
On Fri, May 20, 2011 at 10:59:10AM +0200, Bernd Zeimetz wrote:
> On 05/20/2011 10:40 AM, Bastian Blank wrote:
> >> (And please let me know what is wrong in using dd on a disk drive. I
> >> assume you never read the bugzilla entry on kernel.org.)
> > dd does not use the sync syscall.
> You obviusly still did not read the bugzilla entry about this bug.

This bug is about dpkg using sync and triggering task blocked messages.
dpkg does not longer use sync(), so this is not longer a problem.

Bastian

-- 
Warp 7 -- It's a law we can live with.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595927; Package linux-2.6. (Fri, 20 May 2011 09:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bzed@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 20 May 2011 09:21:08 GMT) Full text and rfc822 format available.

Message #106 received at 595927@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bzed@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 595927@bugs.debian.org
Subject: Re: Bug#595927: Bug still happening, even with recent kernels
Date: Fri, 20 May 2011 11:19:12 +0200
On 05/20/2011 11:14 AM, Bastian Blank wrote:
> On Fri, May 20, 2011 at 10:59:10AM +0200, Bernd Zeimetz wrote:
>> On 05/20/2011 10:40 AM, Bastian Blank wrote:
>>>> (And please let me know what is wrong in using dd on a disk drive. I
>>>> assume you never read the bugzilla entry on kernel.org.)
>>> dd does not use the sync syscall.
>> You obviusly still did not read the bugzilla entry about this bug.
> 
> This bug is about dpkg using sync and triggering task blocked messages.
> dpkg does not longer use sync(), so this is not longer a problem.

Then clone the bug and retitle it as you like to. Whatever you prefer.
The bug still exists, easy to trigger with the "fixed" dpkg or various
other tools.


-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprints: ECA1 E3F2 8E11 2432 D485 DD95 EB36 171A 6FF9 435F




Changed Bug title to 'sync() may block for very long periods - writeback problem?' from 'linux-image-2.6.32-5-amd64: task dpkg blocked for more than 120 seconds' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 13 Jan 2012 04:18:07 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 20 Aug 2012 16:53:11 GMT) Full text and rfc822 format available.

Marked as found in versions 2.6.32-21. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 21 Aug 2012 02:24:05 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Tue, 21 Aug 2012 02:48:06 GMT) Full text and rfc822 format available.

Notification sent to stephen mulcahy <stephen.mulcahy@deri.org>:
Bug acknowledged by developer. (Tue, 21 Aug 2012 02:48:06 GMT) Full text and rfc822 format available.

Message #117 received at 595927-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 595927-done@bugs.debian.org
Subject: Re: sync() may block for very long periods - writeback problem?
Date: Tue, 21 Aug 2012 03:44:34 +0100
[Message part 1 (text/plain, inline)]
Version: 3.2~rc4-1~experimental.1

A lot of improvements to writeback went into 3.2, and the upstream bug
report for this is now marked as resolved.  Hopefully this is the case.

Ben.

-- 
Ben Hutchings
The most exhausting thing in life is being insincere. - Anne Morrow Lindberg
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Tue, 21 Aug 2012 02:48:07 GMT) Full text and rfc822 format available.

Notification sent to Сергей <kt315@bigmir.net>:
Bug acknowledged by developer. (Tue, 21 Aug 2012 02:48:07 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Tue, 21 Aug 2012 02:48:07 GMT) Full text and rfc822 format available.

Notification sent to Sam Morris <sam@robots.org.uk>:
Bug acknowledged by developer. (Tue, 21 Aug 2012 02:48:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Sep 2012 07:30:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:00:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.